QGIS Application - Feature request #9737
Partial canvas redraw
2014-03-07 01:58 AM - Per Gammerath

Status: Open

Priority: High

Assignee:

Category: Map Canvas

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 18289
Description

When panning a map, Qgis blanks and redraws the entire canvas. | think this is a big issue, as the user looses all sense of track with the
map. Maplnfo only redraws the new canvas area while retaining the panned area. That is a much better transition, and probably faster.

| hope that this issue is not reduced to low priority, because zooming and panning in Qgis is really a weak spot that would compel some to
give up on Qgis. At my work, | replaced Maplnfo with Qgis on my colleagues computers, and the most significant feedback | got was the
low speed canvas handling, thus loss of track.

History

#1 - 2014-06-20 08:47 AM - Jiirgen Fischer
- Category set to Map Canvas

#2 - 2015-09-10 01:21 AM - Per Gammerath

So glad to see that QGIS Pisa has embraced this solution. Thumbs up :)

#3 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No
